Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Testing and Deployment

Reply
Visitor
arijitc_int
Posts: 1
Registered: ‎05-21-2011
My Device: Blackberry Curve 8520
My Carrier: GSM

Problem in test application in device

I have created a simple hello world application. I ran it in simulator and it worked well. I am using updated eclipse and it the package explorer it is showing JRE System Library[Blackberry JRE 6.0.0]. Now I want to run this application in blackberry curve 8520 device with version 4.6.1.286. I right-click on the project and select blackberry and then select Load Project(s) on device and noticed that the application is installed in the device but when I run it, an error message is displayed saying "Error starting Hello:smileyfrustrated:ymbol 'MenuItem.<init>' not found".

 

I installed another application and it is saying "Error starting testApplication:Module 'net_rim_ui_api' not found where testApplication is the application name.

 

Can anybody please let me know what can be the issue and how to solve it ?

 

Thanks in advance.

Please use plain text.
Administrator
MSohm
Posts: 14,241
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Problem in test application in device

Applications built in the version 6.0 BlackBerry Java SDK are not compatible with BlackBerry Device Software version 4.6.1.  Please refer to the following:

 

Appropriate version of the BlackBerry JDE and BlackBerry Java SDK

http://supportforums.blackberry.com/t5/Java-Development/Appropriate-version-of-the-BlackBerry-JDE-an...

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
New Member
DJeffrey
Posts: 1
Registered: ‎09-23-2011
My Device: Curve 8520
My Carrier: AT&T

Re: Problem in test application in device

I looked at your referenced link and it isn't clear how I solve the problem. Do I use another Blackberry Java SDK.. if so, where is the download? Cant seem to find any older SDKs on the site.

 

Thanks

 

DJ

Please use plain text.
Administrator
MSohm
Posts: 14,241
Registered: ‎07-09-2008
My Device: BlackBerry Z30, BlackBerry PlayBook
My Carrier: Bell

Re: Problem in test application in device

Yes, you'll need to install an older version of the BlackBerry Java SDK.  You can find instructions on how to do this here:  http://us.blackberry.com/developers/javaappdev/javaupdate.jsp

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.